curl --request GET \
--url https://api.flashdocs.ai/v1/slides/{slide_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flashdocs.ai/v1/slides/{slide_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flashdocs.ai/v1/slides/{slide_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document_id": "<string>",
"organization_id": "<string>",
"index": 123,
"description": "<string>",
"format": "google",
"id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"format_data": {},
"text_placeholders": [],
"image_placeholders": [],
"chart_placeholders": [],
"looker_image_placeholders": [],
"table_placeholders": [],
"embedding": [],
"tree_nodes": [
{
"id": 0,
"paragraph_line_capacity": 5,
"new_line_capacity": 3,
"character_per_line_capacity": 53,
"text": "[header]",
"children_ids": [
123
]
}
],
"tree_markdown_representation": "<string>",
"placeholder_hierarchy_representation": "<string>",
"preview_link": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get Slide Configuration Metadata
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Preference for how to represent the canonical markdown of the tree. If not specified and the tree is requested, paragraph type is chosen
paragraph, list, mixed Response
Successful Response
ID of the document this slide belongs to
ID of the organization this document belongs to
Position of the slide in the document
Detailed description of the slide
Format of the document google vs microsoft
google, microsoft Unique identifier
Creation timestamp
Last update timestamp
Format of the document google vs microsoft
Show child attributes
Show child attributes
List of text placeholder customization items.
Show child attributes
Show child attributes
List of image placeholder customization items.
Show child attributes
Show child attributes
List of chart placeholder customization items.
Show child attributes
Show child attributes
List of looker image placeholder customization items.
Show child attributes
Show child attributes
List of table placeholder customization items.
Show child attributes
Show child attributes
Embedding of the slide description
Tree nodes of the document
Show child attributes
Show child attributes
Markdown representation of the tree
Placeholder hierarchy representation of the slide
URL link to the preview of the slide.